Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema.type
Class PrimitiveUriReference

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.type.SOMType
              com.bea.schema.type.SOMElementalType
                  com.bea.schema.type.PrimitiveUriReference

All Implemented Interfaces:
  Serializable

Deprecated. 3/16/2001 superceded by anyURI

public class PrimitiveUriReference
extends SOMElementalType

uriReference represents a Uniform Resource Identifier (URI) Reference as defined in Section 4 of [RFC 2396], as amended by [RFC 2732]. A uriReference can be an absolute uriReference or a relative uriReference, and may have an optional fragment identifier.

[Definition:] An absolute uriReference refers to a resource in a manner which is independent of the context in which the uriReference occurs.

[Definition:] A relative uriReference refers to a resource by describing the difference within a hierarchy of resources between the context in which the relative uriReference occurs and the absolute uriReference of the resource.

uriReference has the following constraining facets:

- length
- minLength
- maxLength
- pattern
- enumeration
- whiteSpace

Version:
  1.0
Author:
  sharpe
See Also:
  W3C XML Schema uriReference, Serialized Form

Field Summary

Fields inherited from class com.bea.schema.type.SOMType
`ANYURI, BASE64BINARY, BINARY, BOOLEAN, BYTE, CDATA, CENTURY, DATE, DATETIME, DECIMAL, DOUBLE, DURATION, ENTITIES, ENTITY, FLOAT, GDAY, GMONTH, GMONTHDAY, GYEAR, GYEARMONTH, HEXBINARY, ID, IDREF, IDREFS, INT, INTEGER, LANGUAGE, LONG, MONTH, NAME, NCNAME, NEGATIVEINTEGER, NMTOKEN, NMTOKENS, NONNEGATIVEINTEGER, NONPOSITIVEINTEGER, NORMALIZEDSTRING, NOTATION, NUMBER, POSITIVEINTEGER, QNAME, RECURRINGDATE, RECURRINGDAY, RECURRINGDURATION, SHORT, STRING, TIME, TIMEDURATION, TIMEINSTANT, TIMEPERIOD, TOKEN, UNSIGNEDBYTE, UNSIGNEDINT, UNSIGNEDLONG, UNSIGNEDSHORT, URIREFERENCE, YEAR`

Constructor Summary
`PrimitiveUriReference()` Deprecated.

Method Summary
`Vector` | `getAllowedFacets()` Deprecated. By default, all sub-classes of SOMType do not allow facets (restrictions).
`String` | `getID()` Deprecated. <xsd:anyType>

Methods inherited from class com.bea.schema.type.SOMElementalType
`createDefault, getTypeRestrictions, isSchemaChild, isValid`

Methods inherited from class com.bea.schema.type.SOMType
`getType, isElementalType, isUserDefinedType, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrimitiveUriReference

    public PrimitiveUriReference()

  Deprecated.

Method Detail

### getID

    public String getID()

  Deprecated.
  Description copied from class: `SOMType`
  <xsd:anyType>

  Overrides:
    `getID` in class `SOMType`

### getAllowedFacets

    public Vector getAllowedFacets()

  Deprecated.
  Description copied from class: `SOMType`
  By default, all sub-classes of SOMType do not allow facets (restrictions). For types that do allow facets, the getAllowedFacets() method returns an Enumeration of String objects for the names of allowable facets.

  Overrides:
    `getAllowedFacets` in class `SOMType`
  Returns:
    Vector of String objects for the names of allowable facets or null if facets are not allowed for this type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD